/*
 * Copyright (c) 2007 by Brian Marick.
 * Inspired by the Java version of the Hierarchical Data format, from the
 * University of Illinois NCSA and The HDF Group (http://www.hdfgroup.org/).
 * This code is intended for use only for training in test-driven design.
 * See LICENSE.txt
 */


package exampler.hdf.internal;

import exampler.hdf.CompoundDataset;

import java.nio.ByteOrder;

// An interface to number description that reads pleasantly.
public class Like {
    public static NumberDescription integer(int sizeInBytes, ByteOrder byteOrder) {
        return new NumberDescription(CompoundDataset.INTEGER_TYPE, sizeInBytes, byteOrder);
    }

    public static NumberDescription floating(int sizeInBytes, ByteOrder byteOrder) {
        return new NumberDescription(CompoundDataset.FLOAT_TYPE, sizeInBytes, byteOrder);
    }

    public static NumberDescription integer(int sizeInBytes) {
        return integer(sizeInBytes, CompoundDataset.DEFAULT_BYTE_ORDER);
    }

    public static NumberDescription floating(int sizeInBytes) {
        return floating(sizeInBytes, CompoundDataset.DEFAULT_BYTE_ORDER);
    }
}
