/*
 * Copyright (c) 2007 by Brian Marick.
 * Inspired by the Java version of the Hierarchical Data format, from the
 * University of Illinois NCSA and The HDF Group (http://www.hdfgroup.org/).
 * This code is intended for use only for training in test-driven design.
 * See LICENSE.txt
 */

package exampler.hdf.internal.converters;

import exampler.hdf.internal.NumberDescription;

import java.nio.ByteBuffer;
import java.util.Arrays;

public class DoubleArray_8Byte_Converter extends Converter {
    public DoubleArray_8Byte_Converter(NumberDescription description) {
        super(description);
    }

    public boolean equalData(Object one, Object other) {
        return Arrays.equals((double[])one, (double[])other);
    }

    public Object convertToJavaFormat(ByteBuffer source, long lengthOfResult) {
        setByteOrder(source);
        double[] destination = new double[(int)lengthOfResult];
        source.asDoubleBuffer().get(destination, 0, destination.length);
        return destination;
    }

    public void overwriteAsBytes(Object javaish, ByteBuffer destination) {
        setByteOrder(destination);
        destination.asDoubleBuffer().put((double[])javaish);
    }

}
